Get Company Balance Sheets
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/company/balance-sheets \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/company/balance-sheets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/company/balance-sheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": [
{
"accepted_date": "2024-11-01 06:01:36",
"account_payables": 123,
"accounts_receivables": 123,
"calendar_end_date": "2024-09-28",
"capital_lease_obligations_current": 123,
"cash_and_cash_equivalents": 123,
"cash_and_short_term_investments": 123,
"cik": "0000320193",
"created_at": "<string>",
"deferred_tax_liabilities_non_current": 123,
"filing_date": "2024-11-01",
"fiscal_year": "2024",
"goodwill_and_intangible_assets": 123,
"id": 1,
"inventory": 123,
"long_term_debt": 123,
"minority_interest": 123,
"net_debt": 123,
"observed_at": 1730419200,
"other_assets": 123,
"other_current_assets": 123,
"other_current_liabilities": 123,
"other_liabilities": 123,
"other_non_current_assets": 123,
"period": "Q4",
"preferred_stock": 123,
"property_plant_equipment_net": 123,
"reported_currency": "USD",
"retained_earnings": 123,
"short_term_debt": 123,
"symbol": "AAPL",
"tax_payables": 123,
"total_assets": 123,
"total_current_assets": 123,
"total_current_liabilities": 123,
"total_debt": 123,
"total_equity": 123,
"total_liabilities": 123,
"total_liabilities_and_total_equity": 123,
"total_non_current_assets": 123,
"total_non_current_liabilities": 123,
"total_payables": 123,
"total_stockholders_equity": 123,
"updated_at": "<string>"
}
],
"total_count": 123
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Stock
Get Company Balance Sheets
OpenAPI JSON Spec Retrieve balance sheets for a specific company within a time range
GET
/
v1
/
stocks
/
company
/
balance-sheets
Get Company Balance Sheets
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Stock symbol (uppercase, e.g., NVDA, AAPL)
Start time (Unix timestamp in seconds)
End time (Unix timestamp in seconds). Must be greater than start_time
Reporting period type. Omit to return both annual and quarter data
Available options:
annual, quarter Time dimension used for filtering. Defaults to OBSERVED_AT. CALENDAR_END_DATE: the last day of the reporting period; FILING_DATE: the date filed with regulators; OBSERVED_AT: the timestamp the data was first ingested (point-in-time safe)
Available options:
CALENDAR_END_DATE, FILING_DATE, OBSERVED_AT ⌘I

